SPECS: compile.sh (NEW) - short-circuit for compile

glen glen at pld-linux.org
Fri Oct 14 15:30:28 CEST 2005


Author: glen                         Date: Fri Oct 14 13:30:28 2005 GMT
Module: SPECS                         Tag: HEAD
---- Log message:
- short-circuit for compile

---- Files affected:
SPECS:
   compile.sh (NONE -> 1.1)  (NEW)

---- Diffs:

================================================================
Index: SPECS/compile.sh
diff -u /dev/null SPECS/compile.sh:1.1
--- /dev/null	Fri Oct 14 15:30:28 2005
+++ SPECS/compile.sh	Fri Oct 14 15:30:23 2005
@@ -0,0 +1,16 @@
+#!/bin/sh
+# will build package, skipping %prep and %build stage
+# i use it a lot!
+#
+# -glen 2005-03-03
+
+set -e
+
+rpmbuild() {
+	set -x
+	# i'd use ./builder to get all the ~/.bcondrc parsing,
+    # but builder doesn't understand -bi
+#	./builder -ncs -nc -nn --opts --short-circuit "$@"
+	command rpmbuild --short-circuit "$@" || exit
+}
+rpmbuild -bc "$@"
================================================================



More information about the pld-cvs-commit mailing list